Get details of an image share

View as Markdown

Retrieve details of a specific image share created by your organization.

Required scope: air:image_sharing (roles: air_image_sharer)

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

idstringRequiredformat: "uuid"
A UUID string identifying this image share.

Response

idstringRead-onlyformat: "uuid"

The primary key of the image share. This is the “claim code” which should be given to the target organization representative and be used as the image_share value when claiming an image share.

createddatetimeRead-only
modifieddatetimeRead-only
imagestringformat: "uuid"

The id of the image to share. This must be unpublished image owned by your organization.

image_namestringRead-only

The name of the image to share.

image_versionstringRead-only

The version of the image to share.

source_org_display_namestringRead-only
The name of the organization sharing the image.
target_org_display_namestringRead-only
The name of the organization receiving the image.
target_orgstring
The NGC org name of the organization receiving the image.
claimed_bystringRead-onlyDefaults to
The email of the user who claimed the image share.
statestringRead-onlyDefaults to ACTIVE

A state associated with the image share. Only ACTIVE image shares may be claimed.

expires_atdatetimeOptional
The date and time the image share expires. This must be in the future and defaults to 24 hours after creation.

Errors

403
Forbidden Error
404
Not Found Error
500
Internal Server Error